BaseConfigurationMigrator.PropertyRenamed (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel.configuration
Class BaseConfigurationMigrator.PropertyRenamed

    java.lang.Object
      org.neo4j.kernel.configuration.BaseConfigurationMigrator.SpecificPropertyMigration
          org.neo4j.kernel.configuration.BaseConfigurationMigrator.PropertyRenamed

All Implemented Interfaces:
  BaseConfigurationMigrator.Migration

Enclosing class:
  BaseConfigurationMigrator

    public static class BaseConfigurationMigrator.PropertyRenamed

extends BaseConfigurationMigrator.SpecificPropertyMigration

Constructor Summary
`BaseConfigurationMigrator.PropertyRenamed(String oldKey, String newKey, String deprecationMessage)`

Method Summary
`void` | `setValueWithOldSetting(String value, Map<String,String> rawConfiguration)`

Methods inherited from class org.neo4j.kernel.configuration.BaseConfigurationMigrator.SpecificPropertyMigration
`appliesTo, apply, getDeprecationMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseConfigurationMigrator.PropertyRenamed

    public BaseConfigurationMigrator.PropertyRenamed(String oldKey,
                                                     String newKey,
                                                     String deprecationMessage)

Method Detail

### setValueWithOldSetting

    public void setValueWithOldSetting(String value,
                                       Map<String,String> rawConfiguration)

  Specified by:
    `setValueWithOldSetting` in class `BaseConfigurationMigrator.SpecificPropertyMigration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.